View Issue Details

IDProjectCategoryLast Update
0021633AI War 2[All Projects] Bug - GameplaySep 16, 2019 11:41 am
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.888 Astro Examination 
Fixed in Version0.890 Lighting and Darkness 
Summary0021633: Transported ships do not respect the rules of cloak regen
DescriptionCloaked ships will regen to full cloak after 5 seconds of being transported, even if their cloak was not fully out.

This means that the cloaked starter fleet can have infinite cloaked shots for free: Unload > Shoot 4 times > Load > Wait 5 secs > Repeat
TagsNo tags attached.

Activities

wm46

Sep 13, 2019 9:26 pm

reporter   ~0053098

Added a fix: TransportedShip now tracks "bool WasOutOfCloakPoints" when a ship enters the transport. Now sets cloaking points lost if TimeTransported < 5 sec, or if the ship was not out of cloak points.

x4000Bughunter

Sep 16, 2019 11:41 am

administrator   ~0053129

Thanks for the fix!

Issue History

Date Modified Username Field Change
Sep 12, 2019 9:15 pm wm46 New Issue
Sep 13, 2019 9:26 pm wm46 Note Added: 0053098
Sep 16, 2019 11:41 am x4000Bughunter Assigned To => x4000Bughunter
Sep 16, 2019 11:41 am x4000Bughunter Status new => resolved
Sep 16, 2019 11:41 am x4000Bughunter Resolution open => fixed
Sep 16, 2019 11:41 am x4000Bughunter Fixed in Version => 0.890 Lighting and Darkness
Sep 16, 2019 11:41 am x4000Bughunter Note Added: 0053129